summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/tests/test_s3upgrade.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/source4/script/tests/test_s3upgrade.sh b/source4/script/tests/test_s3upgrade.sh
new file mode 100755
index 0000000000..b0042bed45
--- /dev/null
+++ b/source4/script/tests/test_s3upgrade.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+PREFIX=$1
+
+if [ -z "$PREFIX" ]
+then
+ print "Usage: test_s3upgrade.sh <prefix"
+ exit 1
+fi
+
+DATADIR=$PREFIX/upgrade
+
+mkdir -p $DATADIR
+rm -f $DATADIR/*
+
+bin/smbscript setup/upgrade --targetdir=$DATADIR ../testdata/samba3 ../testdata/samba3/smb.conf
+
+# FIXME: Do some sanity checks on the output files